Which version of Blender is supported?

Blender 2.93 LTS is the primary version for this addon.

https://www.blender.org/download/lts

Addon also used successfully on Blender 3.0 and Blender 3.1